Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Enum VLCVideo.VLCAspectRatio

    java.lang.Object
      java.lang.Enum<VLCVideo.VLCAspectRatio>
          chrriis.dj.nativeswing.swtimpl.components.VLCVideo.VLCAspectRatio

All Implemented Interfaces:
  Serializable, Comparable<VLCVideo.VLCAspectRatio>

Enclosing class:
  VLCVideo

    public static enum VLCVideo.VLCAspectRatio

extends Enum<VLCVideo.VLCAspectRatio>

An aspect ratio.

Author:
  Christopher Deckers

Enum Constant Summary
`_16x10`
`_16x9`
`_1x1`
`_221x100`
`_4x3`
`_5x4`

Method Summary
`static VLCVideo.VLCAspectRatio` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VLCVideo.VLCAspectRatio[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _1x1

    public static final VLCVideo.VLCAspectRatio _1x1

### _4x3

    public static final VLCVideo.VLCAspectRatio _4x3

### _16x9

    public static final VLCVideo.VLCAspectRatio _16x9

### _16x10

    public static final VLCVideo.VLCAspectRatio _16x10

### _221x100

    public static final VLCVideo.VLCAspectRatio _221x100

### _5x4

    public static final VLCVideo.VLCAspectRatio _5x4

Method Detail

### values

    public static VLCVideo.VLCAspectRatio[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VLCVideo.VLCAspectRatio c : VLCVideo.VLCAspectRatio.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VLCVideo.VLCAspectRatio valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD